*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

@import url('https://fonts.googleapis.com/css2?family=Libre+Baskerville:ital,wght@0,400..700;1,400..700&family=Oswald:wght@200..700&family=Playfair+Display:ital,wght@0,400..900;1,400..900&family=Roboto:ital,wght@0,100..900;1,100..900&display=swap');

:root {
    --text-color: rgb(10, 32, 88);
    --background-color: rgba(10, 32, 88, 0.143);
    --navbar-family:"Roboto", sans-serif;
}

/* HEADER START */
#header{
    width: 100%;
    display: flex;
    justify-content: center;
    position: relative;
    margin-top: 10px;
}

.container{
    display: flex;
    width: 90%;
}

.logo{
    width: 30%;
}

.logo img{
    width: 25%;
}

.navbar{
    width: 70%;
    display: flex;
    justify-content: end;
}

.navbar ul{
    display: flex;
    list-style: none;
    justify-content: space-between;
    height: auto;
    align-items: center;
    gap: 20px;
}

.navbar li {
    position: relative;
    padding: 8px 10px;
    box-sizing: content-box;
}

.navbar li::after{
    content: "";
    position: absolute;
    bottom: 0;
    left: 0;
    width: 0%;
    height: 2px;
    background-color: var(--text-color);
    transition: width 0.2s ease-in;
}

.navbar li:hover::after{
    content: "";
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
    height: 2px;
    background-color: var(--text-color);
    transition: ease-in 0.2s;
}

.navbar li.active::after{
    width: 100%;
    transition: ease-in 0.2s;
}

.navbar ul li a{
    text-decoration: none;
    color: var(--text-color);
    font-size: 16px;
    font-weight: 400;
    font-family: var(--navbar-family);
}

.bars{
    justify-content: end;
    width: 70%;
    align-items: center;
    display: none;
    cursor: pointer;
}

.bars i{
    font-size: 30px;
}

@media (max-width: 1150px){
    .navbar ul li a{
        font-size: 14px;
    }

    .navbar ul{
        gap: 5px;
    }
}

@media (max-width: 950px){
    .navbar ul li a{
        font-size: 12px;
    }
}

@media (max-width: 850px){
    .navbar{
        display: none;
    }

    .bars{
        display: flex;
    }
}
/* HEADER END */


/* SIDEBAR START */
.sidebar{
    position: fixed;
    width: 60%;
    height: 100vh;
    background-color: rgb(255, 255, 255);
    backdrop-filter: blur(10px);
    -webkit-backdrop-filter: blur(10px);
    border-right: 1px solid rgba(255, 255, 255, 0.536);
    left: 0;
    top: 0;
    transform: translateX(-100%);
    transition: ease-in-out 0.5s;
    overflow-y: scroll;
    display: flex;
    z-index: 99;
}

.sidebar ul{
    height: auto;
    display: flex;
    flex-direction: column;
    align-items: start;
    list-style: none;
    z-index: 99;
    margin-top: 50px;
    width: 100%;
}

.sidebar ul li{
    padding: 10px 10px;
    width: 100%;
    margin: 2px 0;
    padding-left: 30px;
    border-bottom: 1px solid black;
    transition: ease-in-out 0.5s;
}

.sidebar ul li:hover{
    transform: scale(1.1);
}

.sidebar ul li a{
    text-decoration: none;
    color: black;
    font-size: 24px;
    font-weight: 400;
    font-family: var(--navbar-family);
    letter-spacing: 2px;
}
/* SIDEBAR END */